-Top- -Classes- -Public Operations- -Class Diagrams- -Sequence Diagrams-

_ A B C D E F G H I J K L M N O P R S T U V W ~

Class UmlBaseClassMember

Declaration :

- C++ : class UmlBaseClassMember : public UmlClassItem
- Java : abstract class UmlBaseClassMember extends UmlClassItem

Directly inherited by : UmlClassMember

This class manages 'true' class's items : attributes, relation, operation and sub-classes

Artifact : UmlBaseClassMember

Operation isClassMember

Declaration :

- C++ : public: bool isClassMember()
- Java : public boolean isClassMember()

Indicate if the member is a 'class member' (static) Always false in case of a class

Operation set_isClassMember

Declaration :

- C++ : public: bool set_isClassMember(bool y)
- Java : public void set_isClassMember(boolean y) throws RuntimeException

Set if the member is a 'class member' (static), not significant for a class
On error return FALSE in C++, produce a RuntimeException in Java, does not check that the class is (already) a typedef

Operation isVolatile

Declaration :

- C++ : public: bool isVolatile()
- Java : public boolean isVolatile()

Indicate if the member is 'volatile' Always false in case of a class

Operation set_isVolatile

Declaration :

- C++ : public: bool set_isVolatile(bool y)
- Java : public void set_isVolatile(boolean y) throws RuntimeException

Set if the member is 'volatile', not significant for a class
On error return FALSE in C++, produce a RuntimeException in Java, does not check that the class is (already) a typedef

Operation visibility

Declaration :

- C++ : public: aVisibility visibility()
- Java : public aVisibility visibility()

The member's visibility

Operation set_Visibility

Declaration :

- C++ : public: bool set_Visibility(aVisibility v)
- Java : public void set_Visibility(aVisibility v) throws RuntimeException

Set the member visibility, DefaultVisibility is not legal
On error return FALSE in C++, produce a RuntimeException in Java, does not check that the class is (already) a typedef

Operation cppVisibility

Declaration :

- C++ : public: aVisibility cppVisibility()
- Java : public aVisibility cppVisibility()

Special case for C++, thank to the 'friend class X' it may be usefull to have a C++ visibility != other visibility In case the C++ visibility must follow the other, return DefaultVisibility

Operation set_CppVisibility

Declaration :

- C++ : public: bool set_CppVisibility(aVisibility v)
- Java : public void set_CppVisibility(aVisibility v) throws RuntimeException

Set the visibility for C++, DefaultVisibility is legal
On error return FALSE in C++, produce a RuntimeException in Java, does not check that the class is (already) a typedef

Attribut _class_member

Declaration :

- C++ : private: bool _class_member
- Java : private boolean _class_member

Attribut _volatile

Declaration :

- C++ : private: bool _volatile
- Java : private boolean _volatile

Relation _visibility (<directional aggregation by value>)

Declaration :

- C++ : private: aVisibility _visibility : 8
- Java : private aVisibility _visibility

Relation _cpp_visibility (<directional aggregation by value>)

Declaration :

- C++ : private: aVisibility _cpp_visibility : 8
- Java : private aVisibility _cpp_visibility

Operation UmlBaseClassMember

Declaration :

- C++ : protected: UmlBaseClassMember(void * id, const QCString & n) : UmlClassItem(id, n)
- Java : protected UmlBaseClassMember(long id, String n)

Operation read_uml_

Declaration :

- C++ : protected: void read_uml_()
- Java : protected void read_uml_()

internal, do NOT use it

Operation read_cpp_

Declaration :

- C++ : protected: virtual void read_cpp_()
- Java : protected void read_cpp_()

internal, do NOT use it

All public operations :

apply , children , childrenVisible , cppDecl , cppVisibility , defined_ , description , identifier_ , idlDecl , isClassMember , isMarked , isToolRunning , isVolatile , isWritable , javaDecl , kind , markedItems , name , parent , properties , propertyValue , referencedBy , set_childrenVisible , set_CppDecl , set_CppVisibility , set_Description , set_IdlDecl , set_isClassMember , set_isMarked , set_isVolatile , set_JavaDecl , set_Name , set_PropertyValue , set_Stereotype , set_Visibility , stereotype , supportFile , unload , unload , visibility